<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/film/{{id}}"></ion-back-button>
      <p>Adicionar Review</p>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button (click)="addReview(addReviewForm)"><ion-icon name="checkmark-sharp" ></ion-icon></ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="addReviewForm" (ngSubmit)="addReview(addReviewForm)">
    <ionic5-star-rating #rating
        activeIcon = "star"
        defaultIcon = "star-outline"
        halfStar= "true"
        activeColor = "#1DB954"
        defaultColor = "#aaaaaa"
        readonly = "false"
        fontSize = "32px"
        (ratingChanged)="logRatingChange($event)"
        formControlName="film_rating">
    </ionic5-star-rating>

    <ion-textarea autofocus="true" color="roxinho" placeholder="O que achou desse filme?" formControlName="text"></ion-textarea>
  </form>
</ion-content>
